Post Portal Activity
POST
/v1/portal/control-plane/activity-events
const url = 'https://example.com/v1/portal/control-plane/activity-events?tenant_id=';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"run_id":"example","agent_id":"example","persona_id":"example","session_id":"example","scenario_key":"","step_key":"","route":"","ui_surface":"","action_name":"","event_kind":"route_viewed","outcome":"observed","latency_ms":0,"resource_refs":["example"],"request_id":"","blocker_code":"","blocker_message":"","resolved_datahub_dataset_urns":["example"],"data_domain_refs":["example"],"business_term_refs":["example"],"source_of_truth":"","source_status":"","attributes":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/v1/portal/control-plane/activity-events?tenant_id=' \ --header 'Content-Type: application/json' \ --data '{ "run_id": "example", "agent_id": "example", "persona_id": "example", "session_id": "example", "scenario_key": "", "step_key": "", "route": "", "ui_surface": "", "action_name": "", "event_kind": "route_viewed", "outcome": "observed", "latency_ms": 0, "resource_refs": [ "example" ], "request_id": "", "blocker_code": "", "blocker_message": "", "resolved_datahub_dataset_urns": [ "example" ], "data_domain_refs": [ "example" ], "business_term_refs": [ "example" ], "source_of_truth": "", "source_status": "", "attributes": {} }'Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
StudioActivityIn
object
run_id
required
Run Id
string
agent_id
required
Agent Id
string
persona_id
required
Persona Id
string
session_id
required
Session Id
string
scenario_key
Scenario Key
string
step_key
Step Key
string
route
Route
string
ui_surface
Ui Surface
string
action_name
Action Name
string
event_kind
Event Kind
string
outcome
Outcome
string
latency_ms
Latency Ms
integer
resource_refs
Resource Refs
Array<string>
request_id
Request Id
string
blocker_code
Blocker Code
string
blocker_message
Blocker Message
string
resolved_datahub_dataset_urns
Resolved Datahub Dataset Urns
Array<string>
data_domain_refs
Data Domain Refs
Array<string>
business_term_refs
Business Term Refs
Array<string>
source_of_truth
Source Of Truth
string
source_status
Source Status
string
attributes
Attributes
object
key
additional properties
any
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
StudioActivityOut
object
activity_id
required
Activity Id
string
run_id
required
Run Id
string
event_kind
required
Event Kind
string
outcome
required
Outcome
string
request_id
Request Id
string
created_at
Created At
string
Example
{ "request_id": "", "created_at": ""}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}